dpkg-parsechangelog(1)

NAMN
dpkg-parsechangelog - tolka Debians ändringsloggar

SYNOPS
dpkg-parsechangelog [flaggor]

BESKRIVNING
dpkg-parsechangelog läser och tolkar ändringsloggen i ett uppackat Debiankällkodsträd och visar informationen i den på standard ut i en maskinläsbar form.

FLAGGOR

-ländringsloggfil
    Anger ändringsloggfilen som information skall läsas från. Standardvärdet är debian/changelog.

-Fändringsloggformat
    Anger format på ändringsloggen. Som standard läses formatet från en speciell rad nära slutet av ändringsloggen, eller så används Debians standardformat om ingen information hittas.

-Lbibliotekskatalog
    Ange en ytterligare katalog att söka i efter parserskript. Katalogen söks genom innan standardkatalogerna, vilka för närvarande är /usr/local/lib/dpkg/parsechangelog och /usr/lib/dpkg/parsechangelog.

-h, --help
    Visar hjälpskärm och avslutar.

--version
    Visar version och avslutar.

  Parserflaggor
Följande flaggor kan användas för att styra utdata från ändringsloggparsern, t.ex. omfånget av poster eller formatet på utdata. De måste stödas av parserskriptet i fråga. Se även VARNINGAR.

--format utdataformat
    Välj utdataformat. Stödda format är för närvarande dpkg och rfc822. dpkg är det klassiska utdataformatet (från innan denna flagga var tillgänglig) och förvalet. Det består av ett stycke i Debians control-format (se deb-control(5)). Om mer än en post önskas tas de flesta fält från den senaste posten, förutom om annat anges:

    Source: <paketnamn>

    Version: <versions>

    Description: <målutgåva>

    Urgency: <brådska>
        Högsta brådskan av alla de inkluderade posterna används.

    Maintainer: <författare>

    Date: <datum>

    Closes: <nummer på felrapport>
        Closes-fältet i alla inkluderade poster slås samman.

    Changes: <poster från ändringsloggen>
        Texten i alla ändringsloggposter slås samman. För att göra fältet till giltigt flerradsfält i Debian-control-format ersätts tomma rader med en ensam punkt och alla rader får ett teckens indrag. Exakt innehåll beror på formatet på ändringsloggen.

    Ytterligare användardefinierade fält kan finnas.

    rfc822-formatet använder samma fält, men ger ett separat stycke för varje ändringsloggspost så att all metadata för varje post behålls.

--since version, -sversion, -vversion
    ta med alla poster efter version.

--until version, -uversion
    ta med alla ändringar före version.

--from version, -fversion
    ta med alla ändringar från och med version.

--to version, -tversion
    ta med alla ändringar till och med version.

--count antal, -cantal, -nantal
    ta med antal ändringar från början (eller slutet om antal är lägre än 0).

--offset antal, -oantal
    ändra startpunkt för --count, räknat från början (eller slutet om antal är lägre än 0).

--all
    ta med alla ändringar.

VARNINGAR
Ingen av parserflaggorna, bortsett -v, stöds enbart i dpkg version 1.14.16 och senare. Tredjepartsparsrar för andra ändringsloggformat än debian kanske inte stöder alla flaggor.

FILER

debian/changelog
    Ändringsloggsfilen, används för att hämta versionsberoende information om källkodspaketet, till exempel brådska och utgåva för en insändning, ändringarna som utförts sedan en specifik version och själva versionsnumret på källkoden.

FÖRFATTARE
Upphovsrättsskyddat © 1995-1996 Ian Jackson
Upphovsrättsskyddat © 2000 Wichert Akkerman
Upphovsrättsskyddat © 2007, 2008 Frank Lichtenheld

Detta är fri programvara; se GNU General Public License version 2 eller senare för kopieringsvillkor. Det finns INGEN GARANTI.

ÖVERSÄTTNING
Peter Krefting och Daniel Nylander.